// ConfirmChangePersonDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ConfirmChangePersonDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CConfirmChangePersonDlg dialog


CConfirmChangePersonDlg::CConfirmChangePersonDlg(CWnd* pParent /*=NULL*/)
	: CaplTranslateDialog(CConfirmChangePersonDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CConfirmChangePersonDlg)
	m_comment = _T("");
	m_from_person_name = _T("");
	m_to_person_name = _T("");
	//}}AFX_DATA_INIT

	dlg_type = 0;
}


void CConfirmChangePersonDlg::DoDataExchange(CDataExchange* pDX)
{
	CaplTranslateDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConfirmChangePersonDlg)
	DDX_Control(pDX, IDOK, m_ok_btn);
	DDX_Control(pDX, IDCANCEL, m_cancel_btn);
	DDX_Text(pDX, IDC_COMMENT, m_comment);
	DDX_Text(pDX, IDC_FROM, m_from_person_name);
	DDX_Text(pDX, IDC_TO, m_to_person_name);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConfirmChangePersonDlg, CaplTranslateDialog)
	//{{AFX_MSG_MAP(CConfirmChangePersonDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CConfirmChangePersonDlg message handlers

BOOL CConfirmChangePersonDlg::OnInitDialog() 
{
	CaplTranslateDialog::OnInitDialog();

	if(dlg_type==0)
	{
		SetWindowText( APL_T("Подтверждение смены владельца"));
		SetDlgItemText(IDC_STATIC1, APL_T("Меняем владельца:"));
	}
	else
	{	
		SetWindowText( APL_T("Подтверждение смены текущего получателя"));
		SetDlgItemText(IDC_STATIC1, APL_T("Меняем текущего получателя:"));
	}

	
	m_cancel_btn.SetIcon(GetAplStdIco16(APLSTDICO_CANCEL));
	m_cancel_btn.SetFlat(FALSE);
	m_ok_btn.SetIcon(GetAplStdIco16(APLSTDICO_OK));
	m_ok_btn.SetFlat(FALSE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
